Subject: Re: You don't exist, Go away! although user.name has been set

From: Andreas Ericsson <[email-masked]>
Date: Tue, 16 Sep 2008 09:38:31 +0200

Marc Weber wrote:
> Today I was glad. I 've been able to compile git on a maanged server.
> git clone did work as well however running
> git fetch <remote location> caused the line
>       die("You don't exist. Go away!");
> 
> to be executed. (the first one)
> 
> Before examining that I asked at #git and got the tip to set
> user.name and user.email which I did. Then I verified that git
> git var GIT_AUTHOR_IDENT and 
> git var GIT_COMMITTER_IDENT
> both printed some values.
> 
> I still got the failure above.
> I've fixed it for my case by setting
> git_default_name and git_default_email just before the check within the
> ident.c file (line 76)..
> 
> However I want to ask wether I've hit a known problem and wether you
> would appreciate me debggung this issue any further?
> 

I can assure you that people are capable of fetching, pulling and
committing with git. I do it all day long at least.

Can you post your ~/.gitconfig (and/or .git/config) file, please?
In conjunction, I also need to know the exact username you're using
on your system.

> Maybe I should add that I've been running that git from the build
> directory if that matters. The version is 1.6.0 from the official
> mirror site.
> 

If you'd been running 0.99 I'd have been worried. 1.6.0 is pretty
solid.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231